apiVersion: v1
kind: Namespace
metadata:
  name: default
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: iot-1-dep
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: iot-1
  template:
    metadata:
      namespace: default
      labels:
        app: iot-1
    spec:
      containers:
        - name: test-kube-1
          image: registry.gitlab.com/dataeng/internships/tsmgmt/iot-device-1:v5
          imagePullPolicy: Always
      dnsPolicy: ClusterFirst
      imagePullSecrets:
        - name: regcred
